package com.wechi.adweb.bridge.util;

import java.math.RoundingMode;
import java.text.NumberFormat;

/**
 * @author wfansh
 */
public class NumberUtils {

    private static final NumberFormat DECIMAL_FORMAT = NumberFormat.getNumberInstance();

    private static final NumberFormat PERCENTAGE_FORMAT = NumberFormat.getPercentInstance();

    static {
        DECIMAL_FORMAT.setRoundingMode(RoundingMode.HALF_UP);
        // No grouping with ',' delimiter.
        DECIMAL_FORMAT.setGroupingUsed(false);

        PERCENTAGE_FORMAT.setRoundingMode(RoundingMode.HALF_UP);
        PERCENTAGE_FORMAT.setGroupingUsed(false);
    }

    public static String formatDecimal(double number, int fractionDigits) {
        DECIMAL_FORMAT.setMinimumFractionDigits(fractionDigits);
        DECIMAL_FORMAT.setMaximumFractionDigits(fractionDigits);

        return DECIMAL_FORMAT.format(number);
    }

    public static String formatPercentage(double number, int fractionDigits) {
        PERCENTAGE_FORMAT.setMinimumFractionDigits(fractionDigits);
        PERCENTAGE_FORMAT.setMaximumFractionDigits(fractionDigits);

        return PERCENTAGE_FORMAT.format(number);
    }
}
